Bug 277534 - Accounts KCM Shows Protocols where a .profile file is installed even if the CM isn't installed
Summary: Accounts KCM Shows Protocols where a .profile file is installed even if the C...
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-07-11 09:26 UTC by George Goldberg
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-07-11 09:26:49 UTC
For all the profile files we ship with the accounts KCM, if you click on "Add Account" they all show up even when the corresponding Connection Managers are not installed, but then when you click next you see a blank dialog with no input widgets.

Protocols should not be available in the Accounts KCM Add Account Assistant if they are not installed.
Comment 1 David Edmundson 2011-07-13 18:51:02 UTC
Git commit ad3846baab5dbdf69683b2c685fb5955c449664b by David Edmundson.
Committed on 12/07/2011 at 00:20.
Pushed by davidedmundson into branch 'master'.

Only list profiles which have a valid CM.

REVIEW: 101926
BUG: 277534

M  +46   -22   src/KCMTelepathyAccounts/profile-list-model.cpp     
M  +10   -0    src/KCMTelepathyAccounts/profile-list-model.h     

http://commits.kde.org/telepathy-accounts-kcm/ad3846baab5dbdf69683b2c685fb5955c449664b